# 
# * 10.2 Битовые операции И, ИЛИ, НЕ, XOR
# 
"""
*Подвиг 2.
На вход программы подается целое десятичное число. Используя битовые
операции, включите третий бит введенного числа. Выведите на экран
полученное числовое значение.
P. S. Распределение номеров бит представлено на следующем рисунке.
?Sample Input:
100
?Sample Output:
108
"""
# n = int(input())
# print(n | 0b1000)

"""
* Подвиг 3.
На вход программы подается целое десятичное число. Используя битовые
операции, выключите 4-й и 1-й биты введенного числа. Выведите на экран
полученное числовое значение.
P. S. Распределение номеров бит представлено на следующем рисунке.
?Sample Input:
153
?Sample Output:
137
"""
# n = int(input())
# print(n & 0b11101101)

"""
* Подвиг 4.
На вход программы подается целое десятичное число. Используя битовые
операции, переключите 3-й и 0-й биты введенного числа. Выведите на экран
полученное числовое значение.
?Sample Input:
58
?Sample Output:
51
"""
# n = int(input())
# print(n ^ 0b1001)

"""
*Подвиг 5.
На вход программы подается целое десятичное число. Используя битовые
операции, выполните умножение введенного числа на 4. Результат
отобразите на экране.
Sample Input:
40
Sample Output:
160
"""
# n = int(input())
# print(n << 2)

"""
*Подвиг 6.
На вход программы подается целое десятичное число. Используя битовые
операции, выполните целочисленное деление введенного числа на 2.
Результат отобразите на экране.
?Sample Input:
22
?Sample Output:
11
"""
# n = int(input())
# print(n >> 1)

"""
*Подвиг 7.
Вводится зашифрованное слово. Шифрование кодов символов этого слова было
проведено с помощью битовой операции XOR с ключом key=123. То есть,
каждый символ был преобразован по алгоритму:
x = ord(x) ^ key
Здесь ord - функция, возвращающая код символа x. Расшифруйте введенное
слово и выведите его на экран.
P. S. Подсказка: для преобразования кода в символ используйте функцию chr.
?Sample Input:
ѩкю[щюлцхZ
?Sample Output:
Все верно!
"""
# words = input()
# key = 123
# # print(''.join(map(lambda y: chr(y), map(lambda x: ord(x) ^ key, words))))
# print(''.join(map(lambda x: chr(ord(x) ^ key), words)))

"""
* Подвиг 8.
На вход программы подается целое десятичное число. Используя битовые
операции, проверьте, включен ли 6-й и 3-й биты введенного числа. Если
они оба включены, то выведите слово ДА, иначе - слово НЕТ.
P. S. Распределение номеров бит представлено на следующем рисунке.
?Sample Input:
106
?Sample Output:
ДА
"""
# n = int(input())
# print('ДА' if n | 0b1001000 == n else 'НЕТ')

"""
* Подвиг 9.
На вход программы подается целое десятичное число. Используя битовые
операции, проверьте, включен ли 5-й или 1-й биты введенного числа.
Если включен хотя бы один из этих битов, то выведите слово ДА,
иначе - слово НЕТ.
?Sample Input:
74
?Sample Output:
ДА
"""
n = int(input())
print('ДА' if n & 0b11011101 < n else 'НЕТ')


